#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kxetexteditordialogbase.ui'
**
** Created: 2012-06-15T11:11:45
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kxetexteditordialogbase.h"

#include <qvariant.h>
#include <ktextedit.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a KXETextEditorDialogBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
KXETextEditorDialogBase::KXETextEditorDialogBase( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "KXETextEditorDialogBase" );
    setSizeGripEnabled( TRUE );
    KXETextEditorDialogBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "KXETextEditorDialogBaseLayout"); 

    m_pTextEditor = new KTextEdit( this, "m_pTextEditor" );
    QFont m_pTextEditor_font(  m_pTextEditor->font() );
    m_pTextEditor_font.setFamily( "Courier" );
    m_pTextEditor->setFont( m_pTextEditor_font ); 
    m_pTextEditor->setVScrollBarMode( KTextEdit::AlwaysOn );
    m_pTextEditor->setHScrollBarMode( KTextEdit::Auto );
    m_pTextEditor->setTextFormat( KTextEdit::PlainText );
    m_pTextEditor->setWordWrap( KTextEdit::NoWrap );
    m_pTextEditor->setAutoFormatting( int( KTextEdit::AutoAll ) );

    KXETextEditorDialogBaseLayout->addMultiCellWidget( m_pTextEditor, 0, 0, 0, 3 );

    m_pButtonOk = new QPushButton( this, "m_pButtonOk" );
    m_pButtonOk->setEnabled( TRUE );
    m_pButtonOk->setAutoDefault( TRUE );
    m_pButtonOk->setDefault( TRUE );

    KXETextEditorDialogBaseLayout->addWidget( m_pButtonOk, 1, 2 );

    m_pButtonCancel = new QPushButton( this, "m_pButtonCancel" );
    m_pButtonCancel->setAutoDefault( TRUE );

    KXETextEditorDialogBaseLayout->addWidget( m_pButtonCancel, 1, 3 );

    m_pButtonValidate = new QPushButton( this, "m_pButtonValidate" );

    KXETextEditorDialogBaseLayout->addWidget( m_pButtonValidate, 1, 0 );
    Horizontal_Spacing2 = new QSpacerItem( 160, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    KXETextEditorDialogBaseLayout->addItem( Horizontal_Spacing2, 1, 1 );
    languageChange();
    resize( QSize(511, 318).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( m_pButtonOk, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( m_pButtonCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( m_pButtonValidate, SIGNAL( clicked() ), this, SLOT( slotValidate() ) );

    // tab order
    setTabOrder( m_pTextEditor, m_pButtonValidate );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KXETextEditorDialogBase::~KXETextEditorDialogBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KXETextEditorDialogBase::languageChange()
{
    setCaption( tr2i18n( "Edit XML as raw text" ) );
    QWhatsThis::add( m_pTextEditor, tr2i18n( "You can edit your XML document as raw text in this editor." ) );
    m_pButtonOk->setText( tr2i18n( "&OK" ) );
    m_pButtonOk->setAccel( QKeySequence( tr2i18n( "Alt+O" ) ) );
    m_pButtonCancel->setText( tr2i18n( "&Cancel" ) );
    m_pButtonCancel->setAccel( QKeySequence( tr2i18n( "Alt+C" ) ) );
    m_pButtonValidate->setText( tr2i18n( "&Validate" ) );
    m_pButtonValidate->setAccel( QKeySequence( tr2i18n( "Alt+V" ) ) );
    QWhatsThis::add( m_pButtonValidate, tr2i18n( "<b>Validate</b><br/>\n"
"Press this button, if you want your XML document in the above editor to be validated." ) );
}

void KXETextEditorDialogBase::slotValidate()
{
    qWarning( "KXETextEditorDialogBase::slotValidate(): Not implemented yet" );
}

#include "kxetexteditordialogbase.moc"
